MySQL++ SSQLS v2 Translator: ParseV2::ImplementationExtensionOption Class Reference

MySQL++ SSQLS v2 Translator 3.3.0

Public Member Functions | List of all members
ParseV2::ImplementationExtensionOption Class Reference

'option implementation_extension' directive line More...

`#include <parsev2.h>`

Inheritance diagram for ParseV2::ImplementationExtensionOption:
[legend]
Collaboration diagram for ParseV2::ImplementationExtensionOption:
[legend]

## Public Member Functions
| ImplementationExtensionOption (const std::string &value)
| Constructor.
const char * | extension () const
| Return the extension used for C++ implementation files we emit.
void | print (std::ostream &os) const
| Print the option description out to a stream in SSQLS v2 form.
Public Member Functions inherited from ParseV2::Option
virtual | ~Option ()
| Virtual dtor, since this is a base class.
Public Member Functions inherited from ParseV2::Line
virtual | ~Line ()
| Virtual dtor, since this is a base class.

## Additional Inherited Members
Static Public Member Functions inherited from ParseV2::Option
static Option * | parse (const StringList &tl, bool subdirective, const File &file)
| Attempt to create an Option object from information in the passed StringList. More...
Static Public Member Functions inherited from ParseV2::Line
static Line * | parse (const StringList &tl, bool subdirective, const File &file)
| Virtual ctor, creating one of our subclass objects based on what we're passed. More...
Protected Member Functions inherited from ParseV2::Option
| Option (const std::string &value)
| Protected ctor, so we cannot be directly instantiated. More...
const char * | value () const
| Return the option's value in string form, unmodified from the original parse. More...
Protected Member Functions inherited from ParseV2::Line
| Line ()
| Protected ctor, to prevent instantiation.
Static Protected Member Functions inherited from ParseV2::Option
static bool | parse_bool (const std::string &value)
| Convert a string expressing a boolean value to a `bool`. More...

## Detailed Description

'option implementation_extension' directive line

The documentation for this class was generated from the following files:

- parsev2.h
- parsev2.cpp